Name:           glunarclock
Version:        0.32.4
Release:        11%{?dist}
Summary:        GNOME applet that displays the current lunar phase

Group:          User Interface/Desktops
License:        GPL
URL:            http://glunarclock.sourceforge.net/
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         glunarclock-0.32.2-i18n_macro.patch
Patch1:         glunarclock-0.32.4-bug149711.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel
BuildRequires:  gail-devel
BuildRequires:  gettext
BuildRequires:  gnome-panel
BuildRequires:  scrollkeeper
BuildRequires:  gnome-panel-devel
BuildRequires:  libxklavier-devel
BuildRequires:  perl-XML-Parser
Requires(post): GConf2
Requires(preun): GConf2
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
glunarclock is a GNOME applet that displays the current lunar phase in
the GNOME panel. Clicking on the applet displays astronomical data
pertaining to the moon including time, the appearance,
rise and set times, and the coordinates of the moon.


%prep
%setup -q
%patch0 -p1 -b .i18n_macro
%patch1 -p1 -b .bug149711


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang glunarclock-0.32

install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 man/glunarclock.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%clean
rm -rf $RPM_BUILD_ROOT


%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
scrollkeeper-update -q || :

%preun
if [ "$1" = "0" ] ; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
fi

%postun
scrollkeeper-update -q || :


%files -f glunarclock-0.32.lang
%defattr (-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING-DOCS NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_libexecdir}/*
%{_datadir}/glunarclock
%{_datadir}/gnome/help/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*
%{_libdir}/bonobo/servers/*
%{_mandir}/man1/*


%changelog
* Fri Feb 08 2008 Jon Ciesla <limb@jcomserv.net> - 0.32.4-11
- GCC 4.3 rebuild.

* Thu Aug 16 2007 Jon Ciesla <limb@jcomserv.net> - 0.32.4-10
- License tag correction.

* Mon Jun 11 2007 Jon Ciesla <limb@jcomserv.net> - 0.32.4-9
- Backed out yelp Requires.

* Fri Jun 08 2007 Jon Ciesla <limb@jcomserv.net> - 0.32.4-8
- Added yelp Requires, BZ #243486.
- Some SRPM permission fixes, spec cleanup.

* Mon Aug 28 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.32.4-7
- rebuild for Fedora Extras 6; add buildreq perl-XML-Parser

* Mon Feb 13 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.32.4-5
- Bump release to make tag

* Mon Feb 13 2006 Joost Soeterbroek <fedora@soeterbroek.com> - 0.32.4-4
- Rebuild for Fedora Extras 5

* Thu Aug 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.32.4-3
- rebuilt

* Mon Jul 25 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.32.4-2
- Update to 0.32.4.
- Fix compiler warnings bug #149711.
- Disable unneeded x86_64 autoreconf patches (from 0.32.2-2).

* Fri Apr 15 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.32.2-4
- Add patch2 to fix build for FC4.

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 13 2005 Thorsten Leemhuis <fedora at leemhuis dot info> - 0.32.2-2
- Add autoreconf and configure.in patch to fix x86_64;

* Sun Jan 16 2005 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.32.2-1
- Updated to 0.32.2.

* Fri Jun 18 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.32.1-0.fdr.1
- Updated to 0.32.1.

* Sun May 16 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.30.3-0.fdr.3
- Added build req gnome-panel-devel.
- Split requires(post,postun) tags.
- Added GConf uninstall rule.

* Tue Dec 30 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.30.3-0.fdr.2
- Added build req scrollkeeper (bug 745).
- Added post req GConf2.
- Converted spec file to UTF-8.

* Wed Dec  3 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.30.3-0.fdr.1
- Updated to 0.30.3.
- Added build req gnome-panel (bug 745).

* Wed Sep 24 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.30.2-0.fdr.1
- Initial RPM release.

